From: Roland Rosenfeld <roland@debian.org>
Date: Sun, 20 Oct 2002 13:22:55 +0200
Subject: Modify urlOpen() function to support additional browsers like
 light, skipstone, dillo, and chimera2
Forwarded: To Frank Richter <frank.richter@hrz.tu-chemnitz.de> by mail on Fri, 7 Oct 2005 21:18:19 +0200

--- a/ding
+++ b/ding
@@ -5395,6 +5395,14 @@ proc urlOpen {url} {
                   set ::env(BROWSER) [auto_execok konqueror]
                } elseif {[string length [auto_execok netscape]] } {
                   set ::env(BROWSER) [auto_execok netscape]
+               } elseif { [ string length [ auto_execok light ] ] } {
+                  set ::env(BROWSER) [ auto_execok light ]
+               } elseif { [ string length [ auto_execok skipstone ] ] } {
+                  set ::env(BROWSER) [ auto_execok skipstone ]
+               } elseif { [ string length [ auto_execok dillo ] ] } {
+                  set ::env(BROWSER) [ auto_execok dillo ]
+               } elseif { [ string length [ auto_execok chimera2 ] ] } {
+                  set ::env(BROWSER) [ auto_execok chimera2 ]
                } elseif {[info exists ::env(NETSCAPE)]} {
                   # Some of us use this envvar instead... - DKF
                   set ::env(BROWSER) $::env(NETSCAPE)
